<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>Add Language</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4">
            <form [formGroup]="addlanguage" (ngSubmit)="onSubmit()">
                <div class="col-xs-12 col-sm-12 col-md-12 from-group row">
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <label class="col-form-label">Language Name</label>
                        <input type="text" class="form-control" id="Language" formControlName="Language" placeholder="Language Name">
                        <span class="messages text-danger" *ngIf="!addlanguage.get('Language').valid && addlanguage.get('Language').touched">* Please Enter Language Name</span>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <label class="col-form-label">Language Flag Icon</label>
                        <input type="text" class="form-control" id="FlagLanguage" formControlName="FlagLanguage" placeholder="Example : flag-icon-gb">
                        <span class="messages text-danger" *ngIf="!addlanguage.get('FlagLanguage').valid && addlanguage.get('FlagLanguage').touched">* Please Enter Language Flag Icon</span>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">&nbsp;</div>
                    <div class="col-md-6 col-xl-6 form-group">
                    </div>
                    <div class="col-md-2 col-xl-2 form-group">
                        <button type="submit" class="btn btn-success btn-md btn-block text-center">
                            <i class="icofont icofont-save"></i>{{ 'general.btn_save' | translate }}
                        </button>
                    </div>
                    <div class="col-md-2 col-xl-2 form-group">
                        <button type="button" (click)="resetForm()" class="btn btn-default btn-md btn-block text-center">
                            <i class="icofont icofont-spinner-alt-3"></i> {{ 'general.btn_reset' | translate }} 
                        </button>
                    </div>
                    <div class="col-md-2 col-xl-2 form-group">
                        <button type="button" [routerLink]="['/admin/language/list-language']" class="btn btn-danger btn-md btn-block text-center">
                            <i class="icofont icofont-ui-close"></i>{{ 'general.btn_cancel' | translate }}
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>